Bug 1054623 - [devanagari-marathi-nepali] सर्व्हिस does not render correctly.
Summary: [devanagari-marathi-nepali] सर्व्हिस does not render correctly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 06:37 UTC by snekore
Modified: 2014-03-04 06:40 UTC (History)
3 users (show)

Fixed In Version: lohit-devanagari-fonts-2.94.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-04 06:40:57 UTC


Attachments (Terms of Use)
Word with Lohit-Devanagari font (2.43 KB, image/png)
2014-01-17 06:37 UTC, snekore
no flags Details
Word with NotoSansDevanagari font (2.53 KB, image/png)
2014-01-17 06:37 UTC, snekore
no flags Details
Patch for bug ID 1054623 (2.02 KB, patch)
2014-02-05 09:31 UTC, snekore
no flags Details | Diff

Description snekore 2014-01-17 06:37:02 UTC
Created attachment 851410 [details]
Word with Lohit-Devanagari font

Description of problem:


Version-Release number of selected component (if applicable):
Lohit-Devanagari-2.93.0

How reproducible:


Steps to Reproduce:
1.type the word in gedit/LibreOffice
2.apply Lohit-Devanagri font
3.check the output

or 

1.try hb-view command
./hb-view ../Lohit-Devanagari.ttf  सर्व्हिस
2.check the output


Actual results:

word "र्व्हि" renders correctly . but improper rendering of i-matra with preceeding character "स".

Expected results:

proper rendering of i-matra.


Additional info:

Tested with noto sans & sakal bharti fonts on gedit,harfbuzz& libreoffice

Comment 1 snekore 2014-01-17 06:37:44 UTC
Created attachment 851411 [details]
Word with NotoSansDevanagari font

Comment 2 snekore 2014-02-05 09:31:58 UTC
Created attachment 859553 [details]
Patch for bug ID 1054623

Comment 3 Fedora Update System 2014-02-20 05:02:37 UTC
lohit-devanagari-fonts-2.94.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.94.0-1.fc20

Comment 4 Fedora Update System 2014-02-22 00:32:45 UTC
Package lohit-devanagari-fonts-2.94.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-devanagari-fonts-2.94.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2767/lohit-devanagari-fonts-2.94.0-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-03-04 06:40:57 UTC
lohit-devanagari-fonts-2.94.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.